> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Virtual Currency Types

> _NOTE: This is a Legacy Economy API, and is in bugfix-only mode. All new Economy features are being developed only for version 2._ Retuns the list of all defined virtual currencies for the title

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/ListVirtualCurrencyTypes
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/ListVirtualCurrencyTypes:
    post:
      tags:
        - Title-Wide Data Management
      summary: List Virtual Currency Types
      description: >
        _NOTE: This is a Legacy Economy API, and is in bugfix-only mode. All new
        Economy features are being developed only for version 2._ Retuns the
        list of all defined virtual currencies for the title


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | ProductDisabledForTitle | 1609 |
      operationId: ListVirtualCurrencyTypes
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListVirtualCurrencyTypesRequest'
      responses:
        '200':
          $ref: '#/components/responses/ListVirtualCurrencyTypesResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    ListVirtualCurrencyTypesRequest:
      type: object
      properties: {}
      example: {}
    ListVirtualCurrencyTypesResult:
      type: object
      properties:
        VirtualCurrencies:
          description: List of virtual currency names defined for this title
          type: array
          items:
            $ref: '#/components/schemas/VirtualCurrencyData'
          x-isUnordered: true
          x-isclass: true
      example:
        VirtualCurrencies:
          - CurrencyCode: CC
            DisplayName: Chump Coins
            InitialDeposit: 100
            RechargeRate: 1000
            RechargeMax: 1000
          - CurrencyCode: GC
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    VirtualCurrencyData:
      type: object
      properties:
        CurrencyCode:
          description: 'unique two-character identifier for this currency type (e.g.: "CC")'
          type: string
        DisplayName:
          description: friendly name to show in the developer portal, reports, etc.
          type: string
        InitialDeposit:
          description: amount to automatically grant users upon first login to the title
          type: number
          x-actualtype: int32
        RechargeMax:
          description: >-
            maximum amount to which the currency will recharge (cannot exceed
            MaxAmount, but can be less)
          type: number
          x-actualtype: int32
        RechargeRate:
          description: >-
            rate at which the currency automatically be added to over time, in
            units per day (24 hours)
          type: number
          x-actualtype: int32
      required:
        - CurrencyCode
      example:
        CurrencyCode: GO
        DisplayName: Gold
        InitialDeposit: 0
  responses:
    ListVirtualCurrencyTypesResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ListVirtualCurrencyTypesResult'
            example:
              code: 200
              status: OK
              data:
                VirtualCurrencies:
                  - CurrencyCode: CC
                    DisplayName: Chump Coins
                    InitialDeposit: 100
                    RechargeRate: 1000
                    RechargeMax: 1000
                  - CurrencyCode: GC
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [List Virtual Currency Types](/services/playfab/api-references/rest/admin/title-wide-data-management/list-virtual-currency-types.md)
- [Remove Virtual Currency Types](/services/playfab/api-references/rest/admin/title-wide-data-management/remove-virtual-currency-types.md)
- [Add Virtual Currency Types](/services/playfab/api-references/rest/admin/title-wide-data-management/add-virtual-currency-types.md)
- [Subtract User Virtual Currency](/services/playfab/api-references/rest/admin/player-item-management/subtract-user-virtual-currency.md)
- [Add User Virtual Currency](/services/playfab/api-references/rest/admin/player-item-management/add-user-virtual-currency.md)
